Package: eeepc-acpi-scripts
Version: 1.0.3
Severity: normal

Hello,

When using wpa_supplicant (in roaming mode), Fn+F2 doesn't fully 
bring 
up the wireless interface.

Here is the relevant part in /etc/network/interfaces:
.
.
auto ath0
iface ath0 inet manual
        wpa-driver wext
        wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf
.
.

For the moment I use this (dirty) workaround:

--- /etc/acpi/actions/wireless.sh.save  2008-06-20 
16:48:04.000000000 
+0200
+++ /etc/acpi/actions/wireless.sh       2008-06-20 16:55:13.000000000 
+0200
@@ -12,7 +12,7 @@
            # adding a sleep here, due to some bug the driver loading is 
not atomic here
            # and could cause ifconfig to fail
            sleep 1
-           if ! ifconfig ath0 up; then exec $0 off; fi
+           if ! ifup ath0; then exec $0 off; fi
        fi
        ;;
     off|disable)
@@ -20,6 +20,7 @@
            ifdown --force ath0
            modprobe -r ath_pci
            echo 0 > $wlan_control
+               killall wpa_supplicant
        fi
        ;;
     *)

Cheers
-- Eric


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24.4-04-02-16-57
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages eeepc-acpi-scripts depends on:
ii  acpi-support-base             0.109-3    scripts for handling 
base ACPI eve
ii  acpid                         1.0.6-9    Utilities for using 
ACPI power man
ii  alsa-utils                    1.0.16-1   ALSA utilities
ii  pm-utils                      1.1.2.2-3  utilities and scripts 
for power ma

eeepc-acpi-scripts recommends no packages.

-- no debconf information

--
Need cash? Click to get a cash advance.
http://tagline.hushmail.com/fc/Ioyw6h4dP5JMRGJVzk3UphciL3te7siGelSZBSPOwGxea7ndP6duGx/




-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to